using System;

namespace _1.zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            
            string s = Console.ReadLine();
            string[] st = s.Split(' ');
            
            int B = int.Parse(st[0]);
            int C = int.Parse(st[1]);
            
                int A;
            if (0 <= B && B <= 500 && 0 <= C && C <= 500)
            {
                if (B + C >= 256)
                {
                    A = 0;
                }
                else
                {
                    if (256 - B > 256 - C)
                    {
                        A = 256 - C;

                    }
                    else
                    {
                        A = 256 - B;
                    }
                }
                Console.WriteLine(A);
                Console.ReadLine();
            }
        }
    }
}